Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QHostInfo.HostInfoError

    java.lang.Object
      java.lang.Enum<QHostInfo.HostInfoError>
          com.trolltech.qt.network.QHostInfo.HostInfoError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHostInfo.HostInfoError>

Enclosing class:
  QHostInfo

    public static enum QHostInfo.HostInfoError

extends java.lang.Enum<QHostInfo.HostInfoError>
implements QtEnumerator

This enum describes the various errors that can occur when trying to resolve a host name.

See Also:
  `error`, `setError`

Enum Constant Summary
`HostNotFound` No IP addresses were found for the host.
`NoError` The lookup was successful.
`UnknownError` An unknown error occurred.

Method Summary
`static QHostInfo.HostInfoError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHostInfo.HostInfoError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHostInfo.HostInfoError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QHostInfo.HostInfoError NoError

  The lookup was successful.

### HostNotFound

    public static final QHostInfo.HostInfoError HostNotFound

  No IP addresses were found for the host.

### UnknownError

    public static final QHostInfo.HostInfoError UnknownError

  An unknown error occurred.

Method Detail

### values

    public static final QHostInfo.HostInfoError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHostInfo.HostInfoError c : QHostInfo.HostInfoError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHostInfo.HostInfoError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHostInfo.HostInfoError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD